Bug 638109 - Doesn't build or work with xulrunner/gecko 2.0 (yet)
Doesn't build or work with xulrunner/gecko 2.0 (yet)
Product: Fedora
Classification: Fedora
Component: galeon (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Yanko Kaneti
Fedora Extras Quality Assurance
: 681053 (view as bug list)
Depends On:
Blocks: 660764
  Show dependency treegraph
Reported: 2010-09-28 05:30 EDT by Yanko Kaneti
Modified: 2011-03-25 05:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-03-25 05:12:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2010-09-28 05:30:51 EDT
With the introduction of the new xulrunner(2)/firefox(4) combo in rawhide, galeon no longer build or works. There have been some changes in the component registration machinery in mozilla which galeon currently uses and no patches yet to make it work with the new setup.

This bug is just to say that the issue is known and track it. Any help for bringing galeon in line with the new mozilla apis of course welcome.

If there is no solution by the time F15 nears a release I'll have to drop galeon for the distro.
Comment 1 Yanko Kaneti 2011-03-01 02:58:44 EST
*** Bug 681053 has been marked as a duplicate of this bug. ***
Comment 2 Fedora Admin XMLRPC Client 2011-03-24 11:03:23 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Yanko Kaneti 2011-03-25 05:12:14 EDT
I've retired the package.

Note You need to log in before you can comment on or make changes to this bug.